summaryrefslogtreecommitdiff
path: root/buildscripts/build-on-greyhound.sh
diff options
context:
space:
mode:
Diffstat (limited to 'buildscripts/build-on-greyhound.sh')
-rwxr-xr-xbuildscripts/build-on-greyhound.sh5
1 files changed, 4 insertions, 1 deletions
diff --git a/buildscripts/build-on-greyhound.sh b/buildscripts/build-on-greyhound.sh
index b4d5e21..8c9e6fe 100755
--- a/buildscripts/build-on-greyhound.sh
+++ b/buildscripts/build-on-greyhound.sh
@@ -1,8 +1,11 @@
-#!/bin/sh
+#!/bin/bash
# triggers a CI test on greyhound using leap local
# usage: ./build-on-greyhound.sh <branch>
branch=$1
+ACCEPTED_BRANCHES='(develop|citest)'
+
+[[ $branch =~ $ACCEPTED_BRANCHES ]] || ( echo "CI builds only possible for these branches: $ACCEPTED_BRANCHES "; exit 1)
. /etc/leap/rewire_${branch}.cfg
. /etc/leap/platform-test-common.cfg